meta:
  id: wklnhst
  title: Microsoft Works Data Store History
  application: Microsoft Works Task Launcher
  file-extension: dat
  license: AGPL-3.0
  encoding: UTF-16LE
  endian: le
doc: |
  This file stores the recently opened and saved documents using any program
  of the Microsoft Works suite, so they can be displayed within the History tab
  of the Task Launcher.

  This is stored under %AppData%\wklnhst.dat
seq:
  - id: count
    type: u4
  - id: history
    type: entry
    repeat: expr
    repeat-expr: count
types:
  entry:
    -webide-representation: '{path}'
    seq:
      - id: application_id
        type: u4
        doc: ID of the application, as set in the XTR files and the task cache
      - id: task_id
        type: u4
        doc: |
          ID of a task associated with this file, if the file was created using
          a particular task of the Task Launcher.

          If there is no associated task, this is set to zero.
      - id: len_path
        type: u4
      - id: path
        size: len_path * 2
        type: str
        doc: Path to the referenced file.
