---
title: Syndication research notes
---

I am currently plowing through the Wayback Machine to look for obsolete
syndication formats.  This page is just here to list a lot of links that
I still need to check out, maybe to get even more specs in this wiki.

* [Open Content Specification](https://web.archive.org/web/20010625113705/http://internetalchemy.org/ocs/index.html)
* [RSS 3.0](http://www.aaronsw.com/2002/rss30)
* [RSS 1.0 proposed modules](https://web.archive.org/web/20090603023528/http://web.resource.org/rss/1.0/modules/proposed.html)
* [Epistula Syndication Format](https://web.archive.org/web/20060826184417/http://www.aquarionics.com/article/name/esf)
* [eXchangeable Faceted Metadata Language](https://web.archive.org/web/20060830145845/http://www.xfml.org/)
* [Japanese internet software of the 2000s](https://hedgedoc.envs.net/s/LjxoGg65g#): a Markdown document I'm using to list the huge mess of Japanese syndication and blogging before they settled for international standards

## XML namespaces

Various namespaces that can be found mostly on RSS/Atom feeds, and that I want
to look into at a little bit more. I'll probably post about those on
[RSRSSS](/rsrsss/).

* [Feed Access Control 1.0](https://web.archive.org/web/20101215152856/http://www.bloglines.com/about/specs/fac-1.0)  
  `xmlns:access="http://www.bloglines.com/about/specs/fac-1.0"`
* [RSS 1.0 Administrative Module](https://web.resource.org/rss/1.0/modules/admin/)  
  `xmlns:admin="http://webns.net/mvcb/"`
* [RSS 1.0 Aggregation Module](https://web.resource.org/rss/1.0/modules/aggregation/)  
  `xmlns:ag="http://purl.org/rss/1.0/modules/aggregation/"`
* [RSS 1.0 Annotation Module](https://web.resource.org/rss/1.0/modules/annotation/)  
  `xmlns:annotate="http://purl.org/rss/1.0/modules/annotate/"`
* [Atom Publishing Protocol](https://www.rfc-editor.org/rfc/rfc5023)  
  `xmlns:app="http://www.w3.org/2007/app"`
* [RFC 6721](https://www.rfc-editor.org/rfc/rfc6721.html)  
  `xmlns:at="http://purl.org/atompub/tombstones/1.0"`
* [RSS 1.0 Audio Module](https://web.resource.org/rss/1.0/modules/audio/)  
  `xmlns:audio="http://media.tangent.org/rss/1.0/"`
* [blogChannel RSS Module](http://backend.userland.com/blogChannelModule)  
  `xmlns:blogChannel="http://backend.userland.com/blogChannelModule"`
* [Blogger](https://developers.google.com/blogger/docs/2.0/reference)  
  `xmlns:blogger="http://schemas.google.com/blogger/2008"`
* [Creative Commons RDF](https://web.resource.org/cc/)  
  `xmlns:cc="http://web.resource.org/cc/"`
* [Microsoft Simple List Extensions](https://docs.microsoft.com/en-us/previous-versions/windows/desktop/gg427659(v=vs.85))  
  `xmlns:cf="http://www.microsoft.com/schemas/rss/core/2005"`
* [RSS 1.0 Company Module](https://web.resource.org/rss/1.0/modules/company/)  
  `xmlns:company="http://purl.org/rss/1.0/modules/company"`
* [RSS 1.0 Content Module](https://web.resource.org/rss/1.0/modules/content/)  
  `xmlns:content="http://purl.org/rss/1.0/modules/content/"`
* [The Conversations Network](https://web.archive.org/web/20130729204530/http://www.conversationsnetwork.org/rssnamespace-10)  
  `xmlns:conversationsNetwork="http://conversationsnetwork.org/rssNamespace-1.0/"`
* [RSS 1.0 changedPage Module](https://web.resource.org/rss/1.0/modules/changedpage/)  
  `xmlns:cp="http://my.theinfo.org/changed/1.0/rss/"`
* [creativeCommons RSS Module](http://backend.userland.com/creativeCommonsRSSModule)  
  `xmlns:creativeCommons="http://backend.userland.com/creativeCommonsRssModule"`
* [Dublin Core](https://www.dublincore.org/specifications/dublin-core/dcmi-terms/)  
  `xmlns:dc="http://purl.org/dc/elements/1.1/"`
* [Dublin Core Metadata Terms](https://www.dublincore.org/specifications/dublin-core/dcmi-terms/)  
  `xmlns:dcterms="http://purl.org/dc/terms/1.1/"`
* [Dailymotion RSS](https://www.dailymotion.com/dmrss)  
  `xmlns:dm="http://www.dailymotion.com/dmrss/"`
* [RSS 1.0 Email Module](https://web.resource.org/rss/1.0/modules/email/)  
  `xmlns:email="http://purl.org/rss/1.0/modules/email/"`
* [Easy News Topics RSS 2.0 Module](https://web.archive.org/web/20160823230434/http://matt.blogs.it:80/specs/ENT/1.0/)  
  `xmlns:ent="http://www.purl.org/NET/ENT/1.0/"`
* [RSS 1.0 Event Module](https://web.resource.org/rss/1.0/modules/event/)  
  `xmlns:ev="http://purl.org/rss/1.0/modules/event/"`
* FeedBurner extensions (`origLink` and `origEnclosureLink`)  
  `xmlns:feedburner="http://rssnamespace.org/feedburner/ext/1.0"`
* [FeedPress](https://feedpress.com/xmlns/)  
  `xmlns:feedpress="https://feedpress.com/xmlns/"`
* [RFC 5005](https://www.rfc-editor.org/rfc/rfc5005)  
  `xmlns:fh="http://purl.org/syndication/history/1.0"`
* [FOAF 0.1](http://xmlns.com/foaf/0.1/)  
  `xmlns:foaf="http://xmlns.com/foaf/0.1/"`
* [Google Merchant Center product feed](https://support.google.com/merchants/topic/2473799)  
  `xmlns:g="http://base.google.com/ns/1.0"`
* [Google Data](https://developers.google.com/gdata/docs/2.0/elements)  
  `xmlns:gd="http://schemas.google.com/g/2005"`
* [Basic Geo Vocabulary](https://www.w3.org/2003/01/geo/)  
  `xmlns:geo="http://www.w3.org/2003/01/geo/wgs84_pos#"`
* [GeoRSS](https://www.ogc.org/standards/georss)  
  `xmlns:georss="http://www.georss.org/georss"`
* [GeoURL](https://web.archive.org/web/20070323023116/http://geourl.org:80/news/2005/04/26/rssplus.html)  
  `xmlns:geourl="http://geourl.org/rss/module/"`
* [Geography Markup Language](https://www.ogc.org/standards/gml)  
  `xmlns:gml="http://www.opengis.net/gml"`
* [Google Play Podcasts](https://www.google.com/schemas/play-podcasts/1.0/)  
  `xmlns:googleplay="https://www.google.com/schemas/play-podcasts/1.0/"`
* [Google KML 2.2 extensions](https://developers.google.com/kml/documentation/kmlreference#kmlextensions)  
  `xmlns:gx="http://www.google.com/kml/ext/2.2"`
* [ICBM RSS Module](https://web.archive.org/web/20130307033513/http://postneo.com/icbm/)  
  `xmlns:icbm="http://postneo.com/icbm"`
* [RSS 1.0 Image Module](https://web.resource.org/rss/1.0/modules/image/)  
  `xmlns:image="http://purl.org/rss/1.0/modules/image/"`
* [includedComments RSS Module](https://web.archive.org/web/20050409060547/http://www.laudably.com/rss2-comments/1_0-proposal-2.html)  
  `xmlns:includedComments="http://www.laudably.com/rss2-comments"`
* [LiveJournal indexing extension](https://web.archive.org/web/20170801185513/http://www.livejournal.com/doc/server/ljp.int.xml_userdata.data_formats.html)  
  `xmlns:indexing="urn:atom-extension:indexing"`
* [Apple iTunes Podcast RSS extensions](https://help.apple.com/itc/podcasts_connect/#/itcb54353390)  
  `xmlns:itunes="http://www.itunes.com/dtds/podcast-1.0.dtd"`
* [Keyhole Markup Language 2.0](https://web.archive.org/web/20060715112120/http://www.keyhole.com:80/kml/docs/Google_Earth_KML.pdf)  
  `xmlns:kml20="http://earth.google.com/kml/2.0"`
* [Keyhole Markup Language 2.1](https://portal.ogc.org/files/?artifact_id=21469)  
  `xmlns:kml21="http://earth.google.com/kml/2.1"`
* [Keyhole Markup Language 2.2](https://portal.ogc.org/files/?artifact_id=27810)  
  `xmlns:kml22="http://www.opengis.net/kml/2.2"`
* [RSS 1.0 Link Module](https://web.resource.org/rss/1.0/modules/link/)  
  `xmlns:l="http://purl.org/rss/1.0/modules/link/"`
* [Windows Live Spaces](http://web.archive.org/web/20081205022833im_/http://a-patty.spaces.live.com/feed.rss)  
  `xmlns:live="http://schemas.microsoft.com/live/spaces/2006/rss"`
* [MathML](https://www.w3.org/TR/MathML/)  
  `xmlns:mathml="http://www.w3.org/1998/Math/MathML"`
* [MediaRSS](https://www.rssboard.org/media-rss)  
  `xmlns:media="http://search.yahoo.com/mrss/"`
* [MSDN](https://github.com/openlink/virtuoso-opensource/blob/151a02ce65b64e3bd2b997a485146cc26fa50d44/binsrc/tutorial/xml/xq_s_2a/rss1.xml#L24)  
  `xmlns:msdn="http://msdn.microsoft.com/aboutmsdn/rss/"`
* [MSDN Domains](https://github.com/openlink/virtuoso-opensource/blob/151a02ce65b64e3bd2b997a485146cc26fa50d44/binsrc/tutorial/xml/xq_s_2a/rss1.xml#L24)  
  `xmlns:msdn="http://msdn.microsoft.com/aboutmsdn/rss/domains"`
* [MSN Spaces](http://web.archive.org/web/20081205022833im_/http://a-patty.spaces.live.com/feed.rss)  
  `xmlns:msn="http://schemas.microsoft.com/msn/spaces/2005/rss"`
* [OpenGraph](https://ogp.me/)  
  `xmlns:og="http://ogp.me/ns#"`
* [OpenID Authentication 2.0 extension for XRDS](https://openid.net/specs/openid-authentication-2_0.html)  
  `xmlns:openid="http://openid.net/xmlns/1.0"`
* [OpenSearch](https://github.com/dewitt/opensearch/)  
  `xmlns:opensearch="http://a9.com/-/spec/opensearch/1.1/"`
* [OpenSearch RSS 1.0](https://web.archive.org/web/20121127081525/http://opensearch.a9.com:80/spec/opensearchrss/1.0/)  
  `xmlns:opensearch10="http://a9.com/-/spec/opensearchrss/1.0/"`
* [RawVoice RSS](https://rawvoice.com/tools-and-resources/rawvoice-rss-2-0-module-xmlns-namespace-rss2/)  
  `xmlns:rawvoice="http://www.rawvoice.com/rawvoiceRssModule/"`
* [Atom Ranking Extensions](https://datatracker.ietf.org/doc/html/draft-snell-atompub-feed-index-10)  
  `xmlns:re="http://purl.org/atompub/rank/1.0"`
* [RSS 1.0 Reference Module](https://web.resource.org/rss/1.0/modules/reference/)  
  `xmlns:ref="http://purl.org/rss/1.0/modules/reference/"`
* [RSS 1.0 Rich Equivalents Module](https://web.resource.org/rss/1.0/modules/richequiv/)  
  `xmlns:reqv="http://purl.org/rss/1.0/modules/richequiv/"`
* [Resources of a Resource 0.1](https://rorweb.com/)  
  `xmlns:ror="http://rorweb.com/0.1/"`
* [Review Module 0.2](http://web.archive.org/web/20130402010004/http://www.pmbrowser.info:80/rvw/0.2/)  
  `xmlns:rvw="http://purl.org/NET/RVW/0.2/"`
* [RSS 1.0 Search Module](https://web.resource.org/rss/1.0/modules/search/)  
  `xmlns:search="http://purl.org/rss/1.0/modules/search/"`
* [SimpleGallery for DotNetNuke](https://github.com/ventrian/Simple-Gallery/blob/062d18b535126bd7104b47dc79cfc17897018b26/RSS.aspx.vb#L317)  
  `xmlns:simplegallery="http://www.example.com/simplegallery"`
* [Semantically-Interlinked Online Communities Core](http://rdfs.org/sioc/spec/)  
  `xmlns:sioc="http://rdfs.org/sioc/ns#"`
* [Semantically-Interlinked Online Communities Types Module](http://rdfs.org/sioc/spec/#sec-modules-types)  
  `xmlns:sioct="http://rdfs.org/sioc/types#"`
* [Simple Knowledge Organization System](https://www.w3.org/2009/08/skos-reference/skos.html)  
  `xmlns:skos="http://www.w3.org/2004/02/skos/core#"`
* [RSS 1.0 Slash Module](https://web.resource.org/rss/1.0/modules/slash/)  
  `xmlns:slash="http://purl.org/rss/1.0/modules/slash/"`
* [Scripting.com Source namespace](http://source.scripting.com/)  
  `xmlns:source="http://source.scripting.com/"`
* [RSS 1.0 Service Status Module](https://web.resource.org/rss/1.0/modules/servicestatus/)  
  `xmlns:ss="http://purl.org/rss/1.0/modules/servicestatus/"`
* [RSS 2.0 Simple Semantic Resolution](https://web.archive.org/web/20070228150045/http://dannyayers.com:88/xmlns/ssr/index.htm)  
  `xmlns:ssr="http://purl.org/stuff/ssr"`
* [RSS 1.0 Streaming Module](https://web.resource.org/rss/1.0/modules/streaming/)  
  `xmlns:str="http://hacks.benhammersley.com/rss/streaming/"`
* [RSS 1.0 Subscription Module](https://web.resource.org/rss/1.0/modules/subscription/)  
  `xmlns:sub="http://purl.org/rss/1.0/modules/subscription/"`
* [FeedSync](https://web.archive.org/web/20160307213946/http://feedsyncsamples.codeplex.com/wikipage?title=FeedSync%20for%20Atom%20and%20RSS%20%28v1.0%29%20specification)  
  `xmlns:sx="http://feedsync.org/2007/feedsync"`
* [Microsoft Simple Sharing Extensions](https://docs.microsoft.com/en-us/previous-versions/windows/desktop/gg427657(v=vs.85))  
  `xmlns:sx="https://www.microsoft.com/schemas/sse"`
* [RSS 1.0 Syndication Module](https://web.resource.org/rss/1.0/modules/syndication/)  
  `xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"`
* [RSS 1.0 Taxonomy Module](https://web.resource.org/rss/1.0/modules/taxonomy/)  
  `xmlns:taxo="http://purl.org/rss/1.0/modules/taxonomy/"`
* [RSS 1.0 Threading Module](https://web.resource.org/rss/1.0/modules/threading/)  
  `xmlns:thr="http://purl.org/rss/1.0/modules/threading/"`
* [RFC 4685](https://www.rfc-editor.org/rfc/rfc4685)  
  `xmlns:thr="http://purl.org/syndication/thread/1.0"`
* [MovableType TrackBack](https://web.archive.org/web/20091111093510/http://madskills.com/public/xml/rss/module/trackback/)  
  `xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/"`
* [RSS-TV](https://web.archive.org/web/20140814065423/http://www.rss-tv.org/documentation.html)  
  `xmlns:tv="http://www.rss-tv.org/rss/tv1.0"`
* [Webfeeds](http://webfeeds.org/rss/1.0)  
  `xmlns:webfeeds="http://webfeeds.org/rss/1.0"`
* [Well-formed Web Comment API](https://web.archive.org/web/20160209080519/http://bitworking.org/news/2012/08/wfw.html)  
  `xmlns:wfw="http://wellformedweb.org/CommentAPI/"`
* [RSS 1.0 Wiki Module](http://meatballwiki.org/wiki/ModWiki)  
  `xmlns:wiki="http://purl.org/rss/1.0/modules/wiki/"`
* [XML Linking Language (XLink)](https://www.w3.org/TR/xlink/)  
  `xmlns:xlink="http://www.w3.org/1999/xlink"`
* [Yahoo! Weather extensions](https://github.com/michalliu/sourcebeautify.vim/blob/6c5867a8322b04a3d2bf72c26ec1c5bc2fa8f676/tests/xml.expected)  
  `xmlns:yweather="http://xml.weather.yahoo.com/ns/rss/1.0"`
