---
title: integrity report
---

I have been very interested with [James Clear][clear]'s idea of changing one's
habits using the environment, instead of only relying on self-discipline.
His book [Atomic Habits][atomic], a longer version of his blog posts, was an
interesting read.

Although my interest in productivity decayed over time as I realized how trying
to always do my best, to always be productive, to always be efficient, made
things less enjoyable, less relaxing, and that I needed to take care of myself,
I still do sometimes follow some of the tips and move things around the home to
try to make small changes in my behavior, sometimes with success.

James Clear used to publish what he called [integrity reports][reports], in
which he stated some business-y _Core Values_ and looked at how he followed
them.

I tried this method by reflecting on over 200 core values suggested in random
lists all over the internet; did I feel like this was what defined me?  After
writing around 60 pages in my journal just to reflect on that, I came up with
my first, and only, integrity report:

* **Accomplishment**
  * Motivation: Do I have routines that enable me to make progress?
  * Completion: Do I have projects to finish before I start new ones?
  * Meaningful Work: Do my projects have a use, a meaning, for myself
    or someone else?

* **Self-Respect**
  * Authenticity: Am I myself?
  * Happiness: Am I allowing myself to be happy with my current self?
  * Spirituality: Am I paying attention to my sensations and feelings?
  * Self-Confidence: Am I confident in my abilities?

* **Creativity**
  * Learning: Am I learning, practicing new things?
  * Craftiness: Am I imagining, creating new things?
  * Consistency: Am I imagining and creating new things regularly,
    no matter the quality of the results?

Applying this report helped me drop many projects that I was doing but did not
either enjoy or had a set goal for.  I did not want to waste them, so I made
some of those ideas [public](//tilde.town/~lucidiot/ideas/).

I did not officially drop these "rules" yet, although I now disagree with
having a business-y approach to my life and some of my own life rules have
changed.  The [cybrecluster](./cybrecluster.html) philosophy is now closer to
how I think daily.

[clear]: https://jamesclear.com/
[atomic]: https://www.goodreads.com/book/show/40121378-atomic-habits
[reports]: https://jamesclear.com/integrity
