<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="tree">
    <ul>
      <xsl:apply-templates select="./file | ./directory/file | ./directory/directory">
        <xsl:with-param name="base" select="'/~lucidiot'" />
      </xsl:apply-templates>
    </ul>
    <xsl:apply-templates select="report" />
  </xsl:template>
  
  <xsl:template match="file | directory">
    <xsl:param name="base" />
    <li>
      <a>
        <xsl:attribute name="href">
          <xsl:value-of select="$base" />
          <xsl:text>/</xsl:text>
          <xsl:value-of select="@name" />
          <xsl:if test="self::directory">
            <xsl:text>/</xsl:text>
          </xsl:if>
        </xsl:attribute>
        <xsl:value-of select="@name" />
      </a>
      <xsl:if test="@size">
        <xsl:text> (</xsl:text>
        <xsl:value-of select="@size" />
        <xsl:text> bytes)</xsl:text>
      </xsl:if>
 
      <xsl:if test="self::directory and (file | directory)">
        <ul>
          <xsl:apply-templates select="file | directory">
            <xsl:with-param name="base" select="concat($base, '/', @name)" />
          </xsl:apply-templates>
        </ul>
      </xsl:if>
    </li>
  </xsl:template>

  <xsl:template match="report">
    <p>
      <xsl:value-of select="directories" />
      <xsl:text> director</xsl:text>
      <xsl:choose>
        <xsl:when test="directories/text() = '1'">
          <xsl:text>y</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>ies</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text> and </xsl:text>
      <xsl:value-of select="files" />
      <xsl:text> file</xsl:text>
      <xsl:if test="files/text() != '1'">
        <xsl:text>s</xsl:text>
      </xsl:if>
      <xsl:if test="size">
        <xsl:text>, </xsl:text>
        <xsl:value-of select="size" />
        <xsl:text> bytes</xsl:text>
      </xsl:if>
    </p>
  </xsl:template>
  
</xsl:stylesheet>
